<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.7 [en] (Win98; I) [Netscape]">
   <title>ExoticaX API Docs - ExoticaX Library Page</title>
</head>
<body text="#FFFFFF" bgcolor="#000000" link="#0000FF" vlink="#00CC66" alink="#FF0000">

<center><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+3>ExoticaX.ew
API Documentaion</font></font></font></b>
<hr WIDTH="50%" COLOR="#FF0000"></center>

<p><br>
<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font size=+1><a href="#EX_RT">Runtime
Routines</a></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt>
<font face="Comic Sans MS"><a href="#EXOTICA_INIT">exotica_init()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#EXOTICA_INITX">exotica_initX()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#EXOTICA_ERROR">exotica_error()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#EXOTICA_EXIT">exotica_exit()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#EXOTICA_ABORT">exotica_abort()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#AACTIVE">aActive()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#AACTIVE_WAIT">aActive_wait()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#SET_APP_TITLE">set_app_title()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#ALLOW_DUPLICATES">allow_duplicates()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#SET_DSOUND">set_dsound()</a></font></dt>
</blockquote>
</td>
</tr>
</table></center>

<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font size=+1><a href="#EX_DB">Debug
Routines</a></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt>
<font face="Comic Sans MS"><a href="#REPORT_MODE">report_mode()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#FILE_REPORT">file_report()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#ERROR_MESSAGE">error_message()</a></font></dt>
</blockquote>
</td>
</tr>
</table></center>

<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font size=+1><a href="#EX_MEM">Memory
Routines</a></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt>
<font face="Comic Sans MS"><a href="#AVAIL_VIDEO_MEMORY">avail_video_memory()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#AVAIL_TEXTURE_MEMORY">avail_texture_memory()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#TOTAL_VIDEO_MEMORY">total_video_memory()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#TOTAL_TEXTURE_MEMORY">total_texture_memory()</a></font></dt>
</blockquote>
</td>
</tr>
</table></center>

<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font size=+1><a href="#EX_ACC">Accessory
Routines</a></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt>
<font face="Comic Sans MS"><a href="#EXOTICAX_APP_EXISTS">exoticax_app_exists()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#EXOTICAX_REACTIVATE">exoticax_reactivate()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#FRAMERATE">framerate()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#SHELL_EXECUTE">shell_execute()</a></font></dt>

<dt>
<font face="Comic Sans MS"><a href="#WINVER">winver()</a></font></dt>
</blockquote>
</td>
</tr>
</table></center>

<p>
<hr ALIGN=CENTER WIDTH="75%" COLOR="#FF0000">
<center>
<p><a NAME="EX_RT"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>Runtime
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="EXOTICA_INIT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>exotica_init()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>You must call exotica_init() before you can use any exotica
/ X routines. If an error occurs on calling exotica_init(), exoticaX will
post a warning message and abort execution.
<br>Internal abort codes for this routine are in the range -1 to -3, -1
being priority.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td>&nbsp;<font face="Comic Sans MS"><font size=-1><a href="#EXOTICA_INIT">exotica_initX()</a></font></font></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="EXOTICA_INITX"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>exotica_initX(
<i>atom
Screen_Width, atom Screen_Height, atom Screen_Depth</i> )</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This routine can be used instead of calling exotica_init().
it works the same way, but will automatically call ddraw_init(), dinput_init(),
dsound_init(), and d3d_init(), if the appropriate libraries are included
in youur app.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td>&nbsp;<font face="Comic Sans MS"><font size=-1><a href="#EXOTICA_INIT">exotica_init()</a></font></font></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="EXOTICA_ERROR"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>exotica_error()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = Success&nbsp;</dt>

<dt>
1 = Failure&nbsp;</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>exotica_error() must be called at the very end in the main
loop of your program.
<br>This polls for error messages, as well as sets aActive() for program
focus.
<br>This needs be called outside any polls for aActive().&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="EXOTICA_EXIT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>exotica_exit()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>exotica_exit() must be called at the end of your program to
free the resources used by the exotica / X .
<br>exotica_exit() will release any exotica / X components you may have
loaded.
<br>It will also destroy the window that was created by exotica_init().</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td>&nbsp;</td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="EXOTICA_ABORT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>exotica_abort(
<i>atom
Abort_Code</i> )</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This routine calls exotica_exit() and immediately aborts execution
of the program, with the supplied abort code.
<br>If report_mode() is enabled, exotica_abort() will write the abort code
to the debug file.
<br>Although any integer is valid, if the abort code is in the range 0
to 255, it can be passed to a calling program.
<br>Typically, an abort code of 0 is used to signify a successful termination
of the application.
<br>Abort codes -1 to -10 are used for internal ExoticaX errors.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="AACTIVE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>aActive()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = App is not active</dt>

<dt>
1 = App is active</dt>

<dt>
2 = App just gained focus</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>aActive() tells you if you program has focus or not.
<br>You must check for aActive()=1 in order to do graphics routines.
<br>exotica_error() should be called outside of any polls to aActive(),
so that ExoticaX error can still be reported. exotica_erro() will also
set the aActive() state.
<br>If aActive()=2 then you should do any refresh routines that may need
to be called to repaint your app.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="AACTIVE_WAIT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>aActive_wait()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This routine polls aActive(), until the app has focus. This
is used when you want the program to be sure it has focus before calling
the next functions.
<p>*NOTE* if you use this routine, it will loop endlessly while your program
is not in focus. Meaning, if you have background excution, you need to
make sure you're not using aActive_wait() in the same loop.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="SET_APP_TITLE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>set_app_title(
<i>sequence
Title</i> )</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote><font color="#FFFFFF">Use this routine to set the windows title
of your application.</font>
<br><font color="#FFFFFF">This must be called before exotica_init() in
order to have effect.</font>
<br><font color="#FFFFFF">If you don't call this routine, Title will default
to "ExoticaX Application"</font></blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="ALLOW_DUPLICATES"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>allow_duplicates()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote><font color="#FFFFFF">By default, ExoticaX doesn't allow multiple
instances of the same app to be executed.</font>
<br><font color="#FFFFFF">By calling this routine, you can turn it off,
allowing copies of the same program to be running at the same time.</font>
<br><font color="#FFFFFF">This must be called before exotica_init() in
order to have effect.</font></blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="SET_DSOUND"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>set_dsound(
<i>atom
Mode, atom Channels, atom Frequency, atom Bytes_Per_Second</i> )</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote><font color="#FFFFFF">If you use exoticaX_init(), the default
for dsound is dsound_init( DSSCL_EXCLUSIVE,2,44100,16 ).</font>
<br><font color="#FFFFFF">This routine is only useful, if you use exoticaX_init(),
and if you need to change the parameters of dsound_init(). This routine
will not be needed very often.</font></blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<p>
<hr ALIGN="CENTER" WIDTH="75%" COLOR="#FF0000">
<center>
<p><a NAME="EX_DB"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>Debug
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="REPORT_MODE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>report_mode(
<i>sequence
Report_File, integer Debug_Mode</i> )</font>
<blockquote><b><i>Report_File</i></b> is the name of the file the reports
are to be written to <i>(no extension is needed)</i>
<br>if <b><i>Debug_Mode</i></b> = 0, report_mode() will only write exotica
/ X errors and custom file reports
<br>if <b><i>Debug_Mode</i></b> = 1, report_mode() will write what exotica
is doing, as well as report exotica / X errors and file reports<b>.</b></blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>If this routine is used, it will write a debug report to the
specified Report_file<b><i>.</i></b> You can also write custom file reports
if this routine is used. This routine should be called even before exotica_init().</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="FILE_REPORT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>file_report(
<i>sequence
Report_Data</i> )</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This will write the specified Message to the Report_File, if
report_mode() was previously called.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="ERROR_MESSAGE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>error_message(
<i>sequence
Message_Data</i> )</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This routine will post an immediate windows message, containing
your message. Program execution will continue when the message is closed.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<p>
<hr ALIGN="CENTER" WIDTH="75%" COLOR="#FF0000">
<center>
<p><a NAME="EX_MEM"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>Memory
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="AVAIL_VIDEO_MEMORY"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>avail_video_memory()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font>
<dl>
<dt>
The amount of available video memory in bytes</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This returns the amount of available video memory on your video
card for exotica / X.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="AVAIL_TEXTURE_MEMORY"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>avail_texture_memory()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font>
<dl>
<dt>
The amount of available texture memory in bytes</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This returns the amount of available texture memory on your
video card for exotica / X.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="TOTAL_VIDEO_MEMORY"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>total_video_memory()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font>
<dl>
<dt>
The total amount of video memory in bytes</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This returns the total amount of video memory on your video
card for exotica / X.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="TOTAL_TEXTURE_MEMORY"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>total_texture_memory()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font>
<dl>
<dt>
The total amount of texture memory in bytes</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This returns the total amount of texture memory on your video
card for exotica / X.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<p>
<hr ALIGN="CENTER" WIDTH="75%" COLOR="#FF0000">
<center>
<p><a NAME="EX_ACC"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>Accessory
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="EXOTICAX_APP_EXISTS"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>exoticax_app_exists(
<i>sequence
Title</i> )</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = False</dt>

<dt>
1 = True&nbsp;</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This routine will tell you if an ExoticaX app with the specified
Title exists. The Title is what was set by set_app_title() in the application
being queried . If set_app_title() was not called. The Title will be "ExoticaX
Application".</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="EXOTICAX_REACTIVATE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>exoticax_reactivate()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This routine will give focus back to the calling ExoticaX program.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="FRAMERATE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>framerate(
<i>atom
FPS</i> )</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font>
<dl>
<dt>
The actual number of frames per second that the program is generating.</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>If you call framerate(), your program will not exceed the specified
FPS.
<br>It returns the actual frames per second that your app is generating.
You can use this routine to display your programs frames per second by
printing the return value from framerate() to surface. If you want to display
the FPS w/o locking the framerate, just pass a high value to framerate().</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="SHELL_EXECUTE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>shell_execute(
<i>sequence
Command, sequence File, sequence Params, atom Style</i> )</font>
<blockquote><b><i>Command</i></b> -- this is the widows action that should
be performed on the specified <b><i>File</i></b>. eg. "open", "edit", "print",
etc...&nbsp;&nbsp;&nbsp; Any commands that are associated with a file extension.
You can see these by right-clicking on a file type.
<br><b><i>File</i></b> -- the name of the file you wish to execute.
<br><b><i>Params</i></b> -- any file parameters go here
<br><b><i>Style</i></b> -- This is a show_window global constant. eg. SHOW_NORMAL,
SHOW_MAXIMIZED, etc..</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This routine will perform <b>Command,</b> on <b>File</b>, with
the specified <b><i>Params</i></b>, in
<b>Style,</b> with the associated
windows program. This is a windows routine, not an exotica routine.
<p>Here are the few ways I know how to use this routine...
<p>If you are opening any windows associated file, just use the filename
w/ extension.
<br>shell_execute( "open", "somefile.doc", "", SHOW_NORMAL )
<p>If you want to open a new email message, to write to someone, use the
format.. "mailto:
<br>shell_execute( "open", "mailto://email@address.com", "", SHOW_NORMAL
)
<p>If you want to open a WWW url, use the format.. "http://www.com"
<br>shell_execute( "open", "http://www.webpage.com", "", SHOW_NORMAL )
<p>If you have EX.EXE / EXW.EXE associated in windows, you can execute
a EU App like this..
<br>shell_execute( "open", "EU_App.ex", "Command_Line_Params", SHOW_NORMAL
)
<p>If you DON'T have EX.EXE / EXW.EXE associated in windows, you can execute
a EU App like this..
<br>shell_execute( "open", "ex.exe", "EU_App.ex Command_Line_Params", SHOW_NORMAL
)</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="WINVER"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>winver()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
The version of windows that is running</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the windows version that is running.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<p>
<hr ALIGN="CENTER" WIDTH="75%" COLOR="#FF0000">
<center>
<p><b><i><u><font face="Comic Sans MS"><font size=+2><a href="../exoticaX.html#TOP">Back
To Top</a></font></font></u></i></b></center>

</body>
</html>
